import { z } from 'zod';

export const FetchCustomerSchema = z.object({
  customerId: z.number().int().describe('Unique customer identifier'),
  eagerLoading: z.number().describe('Eager loading').optional(),
});

export type FetchCustomer = z.infer<typeof FetchCustomerSchema>;
export type FetchCustomerInput = z.input<typeof FetchCustomerSchema>;
